<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Axios #02</title>
    <link rel='stylesheet' href='css/estilo.css'>
    <script src="js/axios.js"></script>
</head>

<body class="conteudo exercicio">
    <h1>Axios Get/Post</h1>
    <div id="get"></div>
    <div id="post"></div>

    <script>
        function exibirResultado(id, dados) {
            const texto = JSON.stringify(dados)
            document.getElementById(id).innerHTML = texto
        }

        //axios('parOuImpar?numero=6').then(res => exibirResultado('get', res.data))
        axios.get('parOuImpar', {
            params: {
                numero: 5
            }
        }).then(res => exibirResultado('get', res.data))

        axios.post('formulario', {
            nome: 'João',
            sobrenome: 'Silva'
        }).then(res => exibirResultado('post', res.data))
    </script>
</body>